﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace ProgressBarAdv
{
    public partial class Form1 : MetroForm
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();
            this.radioButtonAdv1.Checked = true;
            this.timer1.Tick += new EventHandler(timer1_Tick);
            this.timer1.Enabled = true;
        }
        #endregion

        #region Events
        void timer1_Tick(object sender, EventArgs e)
        {
            //To increate the Value of the Timer
            this.progressBarAdv1.Value += 1;
            if (this.progressBarAdv1.Value == 100)
            {
                this.timer1.Stop();
                this.progressBarAdv1.Value = 0;
            }
        }

        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            //To start the Timer
            this.timer1.Enabled = true;
        }

        private void buttonAdv2_Click(object sender, EventArgs e)
        {
            //To stop the Timer
            this.timer1.Stop();
        }

        private void radioButtonAdv2_CheckChanged(object sender, EventArgs e)
        {
            if (this.radioButtonAdv1.Checked)
                //To set the text of the ProgressBarAdv in percentage value.
                this.progressBarAdv1.TextStyle = Syncfusion.Windows.Forms.Tools.ProgressBarTextStyles.Percentage;
            else if (this.radioButtonAdv2.Checked)
                //To set the text of the ProgressBarAdv in value of the format
                this.progressBarAdv1.TextStyle = Syncfusion.Windows.Forms.Tools.ProgressBarTextStyles.Value;
        }
        #endregion
    }
}
